DCMTK - Feature #416

Vollstandiges und vor allem funktionierendes "FindDCMTK.cmake" schreiben

2012-05-10 12:44 - J6rg Riesmeier

Status: Feedback Start date:
Priority: Normal Due date:
Assignee: Michael Onken % Done:
Category: Configuration Estimated time:

Target version:
Module: cmake Compiler:

Operating System:

2012-05-10

0%
0:00 hour

Description
Anforderungen:
® An dem "offiziellen" Muster fir FindXXX.cmake-Dateien orientiert.
e Unterstlitzung zumindest fir DCMTK 3.5.4, 3.5.5, 3.6.0 und 3.6.1.
¢ Berlcksichtigung der besonderen Bedurfnisse von DCMTK und CTK.

Siehe auch diverse Postings dazu auf Mailing-Listen, im Forum usw.

History

#1 - 2013-02-23 12:18 - J6rg Riesmeier
- Category set to Configuration
- Assignee changed from Michael Onken to Uli Schlachter

- Target version set to 3.6.2

Hier ist ein Vorschlag vom "Insight Software Consortium™:

http://forum.dcmtk.org/viewtopic.php?f=3&t=3682

Den sollte man sich wohl mal genauer anschauen ...

#2 - 2013-02-24 14:43 - Michael Onken
- File 0001-COMP-Add-CMAKE-code-to-generate-comprehensive-DCMTKC.patch added

Find patch from Kent Williams attached (Kitware, ITK).

#3 - 2013-03-11 10:37 - Uli Schlachter
- File cleaner-3rdparty.patch added

| tried to figure out what Kent's patch actually does and thus started undoing the rewrite of CMake/3rdparty.cmake (why does he have to write
everything lower-case? Why does he have to turn every instance of endif and else into "endif()" and "else()"? Just to make the patch more

unreadable? Thanks...).

| gave up after a while. This patch does not just implement something like FindDCMTK.cmake, it rewrites all of our CMake files. Since this has nothing
to do with the intention of the patch and the reason for this is not explained in the commit message, someone else can figure out this mess (or
propose to Kent to split this up into several patches, each of which does ONE thing in logically consistent steps).

#4 - 2013-03-11 10:41 - Uli Schlachter

Oh and | just noticed this gem:

# Declare installation files
INSTALL (TARGETS ${LIBRARY}S${DCMTK_LIBRARY_SUFFIX}
= COMPONENT 1ib
= RUNTIME DESTINATION ${DCMTK_INSTALL_BINDIR}
= LIBRARY DESTINATION ${DCMTK_INSTALL_LIBDIR}
ARCHIVE DESTINATION ${DCMTK_INSTALL_LIBDIR})
+ EXPORT DCMTKLibraryDepends
+ RUNTIME DESTINATION ${INSTALL_BIN_DIR} COMPONENT bin
http://forum.dcmtk.org/viewtopic.php?f=3&t=3682

+ LIBRARY DESTINATION ${INSTALL_LIB_DIR}/lib COMPONENT shlib
+ ARCHIVE DESTINATION ${INSTALL_LIB_DIR}/lib COMPONENT 1lib)

ENDIF (NOT BUILD_SINGLE_SHARED_LIBRARY)
ENDMACRO (DCMTK_ADD_LIBRARY)

He moves libraries from the component "lib" into "bin" and he breaks DCMTK_INSTALL_BINDIR/_LIBDIR without explaining why. And all of this in a

patch which is supposed to do something completely unrelated...

#5 - 2013-03-11 10:50 - Uli Schlachter
- Assignee deleted (Uli Schlachter)

#6 - 2016-01-26 15:13 - Jorg Riesmeier
- Status changed from New to Feedback

- Assignee set to Michael Onken

Solved by the Kitware people (JC)?

#7 - 2017-03-24 12:43 - Marco Eichelberg
- Category deleted (Configuration)
- Target version changed from 3.6.2 to 3.6.3

#8 - 2018-02-05 19:39 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#9 - 2018-02-07 14:54 - J6rg Riesmeier

- Category set to Configuration

Can't this issue be closed?

#10 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

Files
0001-COMP-Add-CMAKE-code-to-generate-comprehensive-DCMTKC.pafkcKB 2013-02-24 Michael Onken
cleaner-3rdparty.patch 7.54 KB 2013-03-11 Uli Schlachter
